maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anders Hammar <and...@hammar.net>
Subject Re: Releasing the assembly plugin
Date Tue, 06 Oct 2015 06:29:36 GMT
I don't know what's on trunk so really can't say. But I see no issue in
truynk being work towards 3.0 and your branch is a small addition ot the
2.x stream which will be in 2.6.0. If it's a bug fix it should be 2.5.x.
>From my pow it's totally fine going Java 6 in v2.6. You don't have to go
v3.0 for that. Just make this clear in the announcement.

/Anders

On Mon, Oct 5, 2015 at 9:51 PM, Benson Margulies <bimargulies@gmail.com>
wrote:

> So, I have this 2.6 branch, but it's tightly my Snappy obsession. So
> is that what you all mean, or do you want a large subset of the trunk
> in there, possibly up to and including the current end of the trunk?
>
> On Mon, Oct 5, 2015 at 3:03 PM, Anders Hammar <anders@hammar.net> wrote:
> > I agree with Robert; it would be great to do lots of cleanup (remove
> > deprecated goals for starters) in a 3.0 version. So doing a v2.6 now
> would
> > keep that option open.
> >
> > /Anders
> >
> > On Mon, Oct 5, 2015 at 8:23 PM, Robert Scholte <rfscholte@apache.org>
> wrote:
> >
> >> IIRC for maven-assembly-plugin most of the actions have been done as
> >> stated in the migration strategy[1]
> >>
> >> Due to not knowing about maven-artifact-transfer the plugin contains
> some
> >> equivalent code, but the custom code doesn't work for all M3.0+
> versions (I
> >> think only 3.0.4 and above).
> >> AFAIK it still uses ArtifactFactory, which means that still the legacy
> >> code is used instead of Aether, meaning it would be Maven3+ in name
> only.
> >> I'm not convinced that the API of maven-artifact-transfer is ready, but
> >> since this plugin isn't using it, I'm open to go for m-assembly-p 3.0,
> >> although I'd prefer 2.6, because it would be THE moment to remove
> >> deprecated code. For that reason I ask in general: please do a
> >> pre-announcement when going for a plugin 3.0 release, so we can have a
> good
> >> and critical look at it.
> >>
> >> thanks,
> >> Robert
> >>
> >> [1]
> >>
> https://cwiki.apache.org/confluence/display/MAVEN/Plugin+migration+to+Maven3+dependencies
> >>
> >> Op Mon, 05 Oct 2015 16:05:24 +0200 schreef Benson Margulies <
> >> bimargulies@gmail.com>:
> >>
> >> On Mon, Oct 5, 2015 at 4:27 AM, Kristian Rosenvold
> >>> <kristian.rosenvold@gmail.com> wrote:
> >>>
> >>>> Personally I'd release 3.0.0 and stuff whatever nit-picky requirements
> >>>> are not met. Revert any changes that depends on code that is not yet
> >>>> ready for release. I think ultimately the large list of requirements
> >>>> is a nice way to just halt all progress.
> >>>>
> >>>> It'll be at least a jdk 1.6 release no matter what.
> >>>>
> >>>
> >>> My aim is to have the minimum of controversy here. If Robert and the
> >>> other laborers on the trunk hate your idea, I'll stick with my idea.
> >>> I'd just like to do _something_ this week.
> >>>
> >>>
> >>>
> >>>> Kristian
> >>>>
> >>>>
> >>>>
> >>>>
> >>>>
> >>>>
> >>>> 2015-10-05 2:47 GMT+02:00 Benson Margulies <bimargulies@gmail.com>:
> >>>>
> >>>>> I have my itch scratched on the 2.6 branch. If anyone else wants
to
> >>>>> pull something else onto the branch before I release 2.6.0, please
> >>>>> speak up.
> >>>>>
> >>>>> On Sun, Oct 4, 2015 at 6:03 PM, Benson Margulies <
> bimargulies@gmail.com>
> >>>>> wrote:
> >>>>>
> >>>>>> OK, will do.
> >>>>>>
> >>>>>>
> >>>>>> On Sun, Oct 4, 2015 at 5:54 PM, Karl Heinz Marbaise <
> khmarbaise@gmx.de>
> >>>>>> wrote:
> >>>>>>
> >>>>>>> Hi Benson,
> >>>>>>>
> >>>>>>> just update the branch. I have checked in a fix for that...
> >>>>>>>
> >>>>>>> You need simply to define Java 6 as target/source otherwise
the
> >>>>>>> parent will
> >>>>>>> control that which is there by default 1.5...
> >>>>>>>
> >>>>>>> I would suggest to make 2.6.0 which identifies as JDK
> >>>>>>> 6...requirement....3.0.0 should be reserved for Maven 3.0+
> plugins...
> >>>>>>>
> >>>>>>>
> >>>>>>> Kind regards
> >>>>>>> Karl Heinz Marbaise
> >>>>>>> On 10/4/15 11:41 PM, Benson Margulies wrote:
> >>>>>>>
> >>>>>>>>
> >>>>>>>> What can I do to help move the 3.0 effort along?
> >>>>>>>>
> >>>>>>>> Or, alternatively, what would it take to get a consensus
to move
> to
> >>>>>>>> Java 1.6 for m-a-p 2.6?
> >>>>>>>>
> >>>>>>>> I'm stuck on...
> >>>>>>>>
> >>>>>>>> The version of plexus I need to get the feature I want
requires
> 1.6,
> >>>>>>>> and the existing code is insisting on 1.5.
> >>>>>>>>
> >>>>>>>> [INFO] --- maven-enforcer-plugin:1.3.1:enforce
> >>>>>>>> (enforce-bytecode-version) @ maven-assembly-plugin ---
> >>>>>>>> [INFO] Restricted to JDK 1.5 yet
> >>>>>>>> org.iq80.snappy:snappy:jar:0.3:compile contains
> >>>>>>>> org/iq80/snappy/BufferRecycler.class targeted to JDK
1.6
> >>>>>>>> [INFO] Restricted to JDK 1.5 yet
> >>>>>>>> org.codehaus.plexus:plexus-archiver:jar:3.0.1:compile
contains
> >>>>>>>> org/codehaus/plexus/archiver/UnixStat.class targeted
to JDK 1.6
> >>>>>>>> [WARNING] Rule 0:
> >>>>>>>> org.apache.maven.plugins.enforcer.EnforceBytecodeVersion
failed
> with
> >>>>>>>> message:
> >>>>>>>> Found Banned Dependency: org.iq80.snappy:snappy:jar:0.3
> >>>>>>>> Found Banned Dependency:
> >>>>>>>> org.codehaus.plexus:plexus-archiver:jar:3.0.1
> >>>>>>>> Use 'mvn dependency:tree' to locate the source of the
banned
> >>>>>>>> dependencies.
> >>>>>>>>
> >>>>>>>>
> >>>>>>>>
> >>>>>>>> On Sun, Oct 4, 2015 at 5:18 PM, Benson Margulies <
> >>>>>>>> bimargulies@gmail.com>
> >>>>>>>> wrote:
> >>>>>>>>
> >>>>>>>>>
> >>>>>>>>> On Oct 4, 2015 4:08 PM, "Dennis Lundberg" <dennisl@apache.org>
> >>>>>>>>> wrote:
> >>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>  From what I have read we need to move all of
maven-plugins to
> git
> >>>>>>>>>> in
> >>>>>>>>>> one
> >>>>>>>>>> go.
> >>>>>>>>>> See the thread "Full migration to Git" for more
info
> >>>>>>>>>>
> >>>>>>>>>
> >>>>>>>>>
> >>>>>>>>>
> >>>>>>>>> I guess I'll have to go tune into that thread.
> >>>>>>>>>
> >>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> 2015-10-04 14:07 GMT+02:00 Benson Margulies
<
> bimargulies@gmail.com
> >>>>>>>>>> >:
> >>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>> OK, then, I want to move it to git first.
Any objections?
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>> On Sun, Oct 4, 2015 at 7:27 AM, Karl Heinz
Marbaise <
> >>>>>>>>>>> khmarbaise@gmx.de>
> >>>>>>>>>>> wrote:
> >>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> Hi,
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> On 10/4/15 10:58 AM, Robert Scholte
wrote:
> >>>>>>>>>>>>
> >>>>>>>>>>>>>
> >>>>>>>>>>>>>
> >>>>>>>>>>>>> Hmm, I see we tried to start with
a 3.0.0 version, so not on
> the
> >>>>>>>>>>>>> trunk.
> >>>>>>>>>>>>>
> >>>>>>>>>>>>> Assembly is far from ready as M3-only,
so I suggest branching
> >>>>>>>>>>>>> the
> >>>>>>>>>>>>> latest
> >>>>>>>>>>>>> tag.
> >>>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>> Yes that's the way to make a fix release...
> >>>>>>>>>>>>
> >>>>>>>>>>>> Kind regards
> >>>>>>>>>>>> Karl Heinz Marbaise
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>>> thanks,
> >>>>>>>>>>>>> Robert
> >>>>>>>>>>>>>
> >>>>>>>>>>>>>
> >>>>>>>>>>>>> Op Fri, 02 Oct 2015 13:26:18 +0200
schreef Benson Margulies
> >>>>>>>>>>>>> <bimargulies@gmail.com>:
> >>>>>>>>>>>>>
> >>>>>>>>>>>>> Could we do this? I'm waiting on
the 'snappy' support.
> >>>>>>>>>>>>>>
> >>>>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> ---------------------------------------------------------------------
> >>>>>>>>>>>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>>>>>>>>>>> For additional commands, e-mail: dev-help@maven.apache.org
> >>>>>>>>>>>>
> >>>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>>
> ---------------------------------------------------------------------
> >>>>>>>>>>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>>>>>>>>>> For additional commands, e-mail: dev-help@maven.apache.org
> >>>>>>>>>>>
> >>>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>>
> >>>>>>>>>> --
> >>>>>>>>>> Dennis Lundberg
> >>>>>>>>>>
> >>>>>>>>>
> >>>>>>>
> >>>>>>>
> ---------------------------------------------------------------------
> >>>>>>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>>>>>> For additional commands, e-mail: dev-help@maven.apache.org
> >>>>>>>
> >>>>>>>
> >>>>> ---------------------------------------------------------------------
> >>>>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>>>> For additional commands, e-mail: dev-help@maven.apache.org
> >>>>>
> >>>>>
> >>>> ---------------------------------------------------------------------
> >>>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>>> For additional commands, e-mail: dev-help@maven.apache.org
> >>>>
> >>>>
> >>> ---------------------------------------------------------------------
> >>> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >>> For additional commands, e-mail: dev-help@maven.apache.org
> >>>
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> >> For additional commands, e-mail: dev-help@maven.apache.org
> >>
> >>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
> For additional commands, e-mail: dev-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message